package com.brilliance.isc.common.limmod.vo;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class LimPreCalVo {
    /**
     * 客户ECIF号
     */
    public String extkey;
    /**
     * 客户名称
     */
    public String extname;
    /**
     * 业务品种
     */
    public String limtyp;
    /**
     * 国结交易编码
     */
    public String inifrm;
    /**
     * 业务场景
     */
    public String ywcj;
    /**
     * 业务编号
     */
    public String ownref;
    /**
     * 业务币种
     */
    public String buscur;
    /**
     * 业务余额
     */
    public String busamt;
    /**
     * 保证金余额
     */
    public String guaamt;
    /**
     * 试算类型
     */
    public String caltyp;
    /**
     * 交易柜员
     */
    public String bchusr;
    /**
     * 机构代码
     */
    public String accbch;
    /**
     * 前台流水号
     */
    public String qantno;

    private List<TygrdVo> tygrd;

    private List<DggrdVo> dggrd;
    ;

    /**
     * 额度发生额
     */
    private List<ClmcbbVo> clmcbbVos;
    ;
    /**
     * 额度占用余额
     */
    private List<ClmcbeVo> clmcbeVos;
    ;
    /**
     * 客户额度余额
     */
    private List<ClmptyVo> clmptyVos;
    ;

    public void reset() {
        if (tygrd == null) {
            tygrd = new ArrayList<>();
        }
        if (dggrd == null) {
            dggrd = new ArrayList<>();
        }
        if (clmcbbVos == null) {
            clmcbbVos = new ArrayList<>();
        }
        if (clmcbeVos == null) {
            clmcbeVos = new ArrayList<>();
        }
        if (clmptyVos == null) {
            clmptyVos = new ArrayList<>();
        }

    }
}
